## QmiClientVoice

QmiClientVoice — QmiClient for the VOICE service.

## Signals

void | all-call-status | Run Last

## Types and Values

struct | QmiClientVoice

## Object Hierarchy

        GObject
        ╰── QmiClient
            ╰── QmiClientVoice

## Description

QmiClient which handles operations in the VOICE service.

## Functions

## Types and Values

### struct QmiClientVoice

    struct QmiClientVoice;

The QmiClientVoice structure contains private data and should only be accessed using the provided API.

Since: 1.14

## Signal Details

### The `“all-call-status”` signal

    void
    user_function (QmiClientVoice                        *object,
                   QmiIndicationVoiceAllCallStatusOutput *output,
                   gpointer                               user_data)

The ::all-call-status signal gets emitted when a 'All Call Status' indication is received.

#### Parameters

object | A QmiClientVoice. |
output | A QmiIndicationVoiceAllCallStatusOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.14